Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class LineSeparator

    java.lang.Object
      weblogic.apache.xml.serialize.LineSeparator

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.LineSeparator.

    public final class LineSeparator

extends Object

See Also:
  `OutputFormat`

Field Summary
`static String` | `Macintosh` Deprecated. Line separator for Macintosh systems (`\r`).
`static String` | `Unix` Deprecated. Line separator for Unix systems (`\n`).
`static String` | `Web` Deprecated. Line separator for the Web (`\n`).
`static String` | `Windows` Deprecated. Line separator for Windows systems (`\r\n`).

Constructor Summary
`LineSeparator()` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Unix

    public static final String Unix

  Deprecated.
  Line separator for Unix systems (`\n`).

  See Also:
    Constant Field Values

### Windows

    public static final String Windows

  Deprecated.
  Line separator for Windows systems (`\r\n`).

  See Also:
    Constant Field Values

### Macintosh

    public static final String Macintosh

  Deprecated.
  Line separator for Macintosh systems (`\r`).

  See Also:
    Constant Field Values

### Web

    public static final String Web

  Deprecated.
  Line separator for the Web (`\n`).

  See Also:
    Constant Field Values

Constructor Detail

### LineSeparator

    public LineSeparator()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD